package com.friday.operation.api.tooldriver.constant;

@Deprecated
public enum RpaJobStateEnum {
    Pending("Pending","等待启动"),
    Running("Running","运行中"),
    Success("Success","成功"),
    Fail("Fail","失败"),
    Faulted("Faulted","异常终止"),
    Terminating("Terminating","终止中"),
    Terminated("Terminated","已终止"),
    Pausing("Pausing","暂停中"),
    Paused("Paused","已暂停"),
    Resuming("Resuming","恢复中")

    ;

    private String state;
    private String desc;

    RpaJobStateEnum(String state, String desc){
        this.state = state;
        this.desc = desc;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getDecs() {
        return desc;
    }

    public void setDecs(String desc) {
        this.desc = desc;
    }
}
